;pasmo --tapbas romf.asm romf.tap label.txt huj.txt --listing
;https://spectrumcomputing.co.uk/forums/viewtopic.php?t=7258&start=10
	org $8000
start
_main:
	ld hl,_txt
	ld de,18432+(3*32) ; start pos
_loop:	
	ld a,(hl) ; get text -> A=0x41
	add a,a;or a
	ret z
	push hl
;	add a,a ; x2
	ld l,a
	ld h,0x0f
	add hl,hl ; x4
	add hl,hl ; x8
; plot font
	push de
	ld b,8
	ld c,b	; c=8
_pltloop:
	ld a,(hl)
	inc hl
	ld (de),a
	inc d
; what to plot on 2nd line
	push bc
	push de
	push hl
	ld d,a
	ld b,c	; b=8
	ld e,(hl)	
	xor a
	ld c,a
	ld l,a
_testloop:
	rrc d
	jr nc,_testloop100
	inc l	; penalty for continuous bits +1	
	add a,l
	jr _testloop110
_testloop100:
	ld l,0	; reset cumulative counter
_testloop110:
	rrc e
	jr nc,_testloop120
	inc c
_testloop120:
	djnz _testloop
	pop hl
	cp c
	ld a,d
	jr z,_plotc
	jr c,_plotc	
	ld a,(hl)
_plotc:
	pop de
	pop bc
	ld (de),a
	inc d
; over char line?
	ld a,d
	and %00000111
	jr nz,_inchar
	ld a,e
	add a,32
	ld e,a
	jr c,_inchar
	ld a,d
	sub c	; sub 8
	ld d,a
_inchar:
	djnz _pltloop
; onto next
	pop de
	pop hl
	inc hl
	inc e
	jr _loop	
;	
_txt:
	defb "Loading ",0x22,"ChuckieEgg",0x22," Please Wait",0
END start
